settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('Hello, World! (You will see this line every time server resources reload)')

onEvent('recipes', event => {
	// Change recipes here
	event.remove({output: '#excompressum:baits'})
	event.remove({output: 'exnihilosequentia:beehive_frame'})
	event.remove({output: 'exnihilosequentia:crook_wood'})
	event.remove({output: 'exnihilosequentia:crook_stone'})
	event.remove({output: 'exnihilosequentia:crook_andesite'})
	event.remove({output: 'exnihilosequentia:crook_iron'})
	event.remove({output: 'exnihilosequentia:crook_gold'})
	event.remove({output: 'exnihilosequentia:crook_granite'})
	event.remove({output: 'exnihilosequentia:crook_diorite'})
	event.remove({output: 'exnihilosequentia:sieve'})
	event.remove({output: 'exnihilosequentia:mesh_diamond'})
	event.remove({output: 'exnihilosequentia:mesh_iron'})
	event.remove({output: 'exnihilosequentia:crucible_wood'})
	event.remove({output: 'minecraft:clay'})
	event.remove({output: 'exnihilosequentia:porcelain_clay'})
	event.remove({output: 'exnihilosequentia:chunk_iron'})
	event.remove({output: 'immersiveengineering:dust_iron'})
	event.remove({output: 'exnihilosequentia:mesh_flint'})
	event.remove({output: 'exnihilosequentia:mesh_string'})
	event.remove({output: 'tconstruct:grout'})
	event.remove({output: 'exnihilosequentia:barrel_stone'})
	event.remove({output: 'exnihilosequentia:crucible_unfired'})
	event.remove({output: 'minecraft:gilded_blackstobne'})
	event.remove({output: 'immersiveengineering:plate_iron', type: 'minecraft:crafting_shapeless'})

	event.shaped('exnihilosequentia:crook_wood', [
		'Sl ',
		' S ',
		' S '
	  ], {
		S: 'minecraft:stick',
		l: '#minecraft:logs'
	  })

	  event.shaped('exnihilosequentia:crook_stone', [
		'SS ',
		' S ',
		' S '
	  ], {
		S: 'minecraft:stone',
	  })

	  event.shaped('exnihilosequentia:sieve', [
		'l l',
		'lsl',
		'S S'
	  ], {
		S: 'minecraft:stick',
		l: '#minecraft:logs',
		s: '#minecraft:wooden_slabs'
	  })

	  event.shaped('exnihilosequentia:crook_iron', [
		'SS',
		' S',
		' S'
	  ], {
		S: 'minecraft:iron_ingot'
	  })

	  event.shaped('exnihilosequentia:crook_gold', [
		'SS',
		' S',
		' S'
	  ], {
		S: 'minecraft:gold_ingot'
	  })

	  event.shaped('minecraft:gilded_blackstone', [
		'SSS',
		'SWS',
		'SSS'
	  ], {
		S: 'exnihilosequentia:pebble_blackstone',
		W: 'minecraft:gold_ore'
	  })

	  event.shaped('exnihilosequentia:beehive_frame', [
		'SSS',
		'SWS',
		'SSS'
	  ], {
		S: 'minecraft:stick',
		W: '#quark:quilted_wools'
	  })

	  event.shaped('exnihilosequentia:crucible_wood', [
		'L L',
		'L L',
		'LLL'
	  ], {
		L: '#minecraft:logs'
	  })

	  event.shaped('exnihilosequentia:crucible_unfired', [
		'L L',
		'LSL',
		'LLL'
	  ], {
		L: 'exnihilosequentia:porcelain_clay',
		S: 'exnihilosequentia:barrel_stone'
	  })
	  
	  event.shaped('exnihilosequentia:barrel_stone', [
		'L L',
		'L L',
		'LSL'
	  ], {
		L: 'minecraft:smooth_stone',
		S: 'minecraft:smooth_stone_slab'
	  })

	  event.shaped('exnihilosequentia:mesh_flint', [
		'FSF',
		'FCF',
		'FSF'
	  ], {
		S: 'exnihilosequentia:mesh_string',
		F: 'minecraft:flint',
		C: 'excompressum:compressed_flint'
	  })

	  event.shaped('exnihilosequentia:mesh_string', [
		'FCF',
		'CFC',
		'FCF'
	  ], {
		F: 'minecraft:string',
		C: 'minecraft:oak_leaves'
	  })

	  event.shaped('tconstruct:grout', [
		'CD',
		'G '
	  ], {
		D: 'exnihilosequentia:dust',
		C: 'minecraft:clay_ball',
		G: 'minecraft:gravel'
	  })

	  event.shapeless('minecraft:iron_ore', ['exnihilosequentia:piece_iron', 'exnihilosequentia:piece_iron', 'exnihilosequentia:piece_iron', 'exnihilosequentia:piece_iron'])
	  event.shapeless('minecraft:clay', ['minecraft:clay_ball', 'minecraft:clay_ball', 'minecraft:clay_ball', 'minecraft:clay_ball'])
	  event.shapeless('minecraft:mycelium', ['minecraft:dirt', 'exnihilosequentia:ancient_spores'])
	  event.shapeless('minecraft:brown_mushroom', ['minecraft:brown_mushroom_block'])

})

onEvent('item.tags', event => {
	// Get the #forge:cobblestone tag collection and add Diamond Ore to it
	// event.get('forge:cobblestone').add('minecraft:diamond_ore')
	
	event.get('#excompressum:baits').add('excompressum:chicken_bait')
	// Get the #forge:cobblestone tag collection and remove Mossy Cobblestone from it
	// event.get('forge:cobblestone').remove('minecraft:mossy_cobblestone')
})
